#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)

%define		pnam	Gnome2-Canvas
Summary:	Perl interface to the GNOME Canvas
Summary(pl.UTF-8):	Interfejs perlowy do GNOME Canvas
Name:		perl-Gnome2-Canvas
Version:	1.006
Release:	5
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	https://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	61176cad7e995ec40b273766ffed3592
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	libgnomecanvas-devel >= 2.14.0
BuildRequires:	perl-Cairo-devel
BuildRequires:	perl-ExtUtils-Depends >= 0.200
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib-devel >= 1.120
BuildRequires:	perl-Gtk2-devel >= 1.121
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Requires:	libgnomecanvas >= 2.14.0
Requires:	perl-Glib >= 1.120
Requires:	perl-Gtk2 >= 1.121
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Gnome2 Perl module allows a perl developer to use the GnomeCanvas
widget.

Note: this module is deprecated and no longer maintained.

%description -l pl.UTF-8
Moduł Perla Gnome2 umożliwia programistom perlowym korzystanie z
kontrolki GnomeCanvas.

Uwaga: ten moduł jest przestarzały i nie jest już utrzymywany.

%package devel
Summary:	Development files for Perl Gnome2-Canvas bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Gnome2-Canvas dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	libgnomecanvas-devel >= 2.14.0
Requires:	perl-Cairo-devel
Requires:	perl-Glib-devel >= 1.120
Requires:	perl-Gtk2-devel >= 1.121

%description devel
Development files for Perl Gnome2-Canvas bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Gnome2-Canvas dla Perla.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Gnome2/Canvas/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%{perl_vendorarch}/Gnome2/Canvas.pm
%dir %{perl_vendorarch}/auto/Gnome2/Canvas
%dir %{perl_vendorarch}/Gnome2/Canvas
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome2/Canvas/Canvas.so
%{_mandir}/man3/Gnome2::Canvas*.3pm*

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/Gnome2/Canvas/Install
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Gnome2-Canvas.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> f0291b2
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 62bfc82
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 216301b
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> e98e93c
- rebuild with perl 5.34.0

* Sat Jun 19 2021 Jakub Bogusz <qboosh@pld-linux.org> cdd1c45
- updated to 1.006, deprecated now

* Sun May 09 2021 Jan Rękorajski <baggins@pld-linux.org> cb781dc
- rebuild with perl 5.32

* Fri Apr 24 2020 Jakub Bogusz <qboosh@pld-linux.org> c39eedd
- updated macros

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> bdfb893
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> d67217f
- rebuild with perl 5.30.0
- release 20 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 215a177
- release 19 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9d995fc
- perl req/prov fix
- release 18 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 61ebce6
- rebuild with perl 5.26
- release 17 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 80bd5c4
- rebuild with perl 5.24.0
- release 16 (by relup.sh)

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> bd289b6
- split -devel; release 15

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 8afaa2d
- release 14 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a2c3d5c
- release 13 (by relup.sh)

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 6d9a4b0
- release 12 (by relup.sh)

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> ce34482
- BR perl-Cairo-devel, perl-Glib-devel, perl-Gtk2-devel

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> ba120fa
- x32 rebuild
- release 11 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 5e44abb
- release 10 (by relup.sh)

